Subject: Re: Updated: rsync-2.5.2-1
From: "Mark Hadfield" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 15 Feb 2002 09:12:25 +1300

[I am responding on the cygwin list to a message on cygwin-announce and
cc'ing to the rsync list.]

From: "Lapo Luchini" <[email-masked]>
> I have uploaded version 2.5.2-1 of the open source utility that
> provides fast incremental file transfer.
>
> ChangeLog as on http://rsync.samba.org :

Rsync 2.5.2 has a data-destroying bug as described here:

  http://lists.samba.org/pipermail/rsync/2002-January/005966.html

I ran into it yesterday after compiling 2.5.2 from source on another
platform. The bug is associated with the security fix described in the
change log. I didn't manage to apply the backout patch (didn't try very
hard) but I fixed the problem by downgrading to 2.5.1.

Lapo, does Cygwin rsync-2.5.2-1 suffer from this bug? Based on your message
I should think it would. I strongly advise against upgrading until the bug
is fixed.
---
Mark Hadfield
[email-masked]  http://katipo.niwa.co.nz/~hadfield
National Institute for Water and Atmospheric Research

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/